Bug 124253 - X does not have some of the major indic locales
X does not have some of the major indic locales
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: i18n
Depends On:
Blocks: Indic
  Show dependency treegraph
Reported: 2004-05-24 23:38 EDT by Leon Ho
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-13 05:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2004-05-24 23:38:43 EDT
Description of problem:
X does not have those locale available so it will complains when X app
is running under these locales:
bn_IN - Bengali language locale for India
gu_IN - Gujarati language locale for India
pa_IN - Punjabi language locale for India

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. LANG=gu_IN.UTF-8 gedit
Actual results:
$ LANG=gu_IN.UTF-8 gedit

(gedit:3306): Gdk-WARNING **: locale not supported by Xlib

(gedit:3306): Gdk-WARNING **: can not set locale modifiers

Expected results:
No complains

Additional info:

Here are the current list of indian langs that available in X
iso8859-15/XLC_LOCALE                   en_IN.ISO8859-15
iscii-dev/XLC_LOCALE                    hi_IN.ISCII-DEV
tscii-0/XLC_LOCALE                      ta_IN.TSCII-0
en_US.UTF-8/XLC_LOCALE                  hi_IN.UTF-8
en_US.UTF-8/XLC_LOCALE                  mr_IN.UTF-8
en_US.UTF-8/XLC_LOCALE                  ta_IN.UTF-8
Comment 1 Mike A. Harris 2004-07-07 05:26:14 EDT
llch: Could you report upstream and paste the URL here?

We'll track the issue there for future releases.

Thanks in advance.
Comment 2 Leon Ho 2004-07-12 23:27:54 EDT

thanks mike
Comment 3 Mike A. Harris 2004-07-13 05:27:05 EDT
Thanks Leon, added myself to CC upstream for tracking.

Note You need to log in before you can comment on or make changes to this bug.